WMS performance degraded

2014-05-13 04:01 AM - Tobias Schneider

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 18684

Description

I checked this with two computer on the same Internet connection:

I moved the view with the same WMS layer activated and checked the load time:

*QGIS 2.2 (Ubuntu 13.10 - 64 bit): ~ 2 seconds 

*QGIS 2.3 (Ubuntu 14.04 - 64 bit): ~ 4 to 5 seconds

The 13.10 computer is also weaker (Lenovo SL 510, Intel Core 2 Duo, GM45 graphics) compared to ProBook 6570b (Intel Core i3-3120M

CPU @ 2.50GHz × 4, Ivybridge graphics).

Please prioritize this, because WMS editing with 5 second lag is pretty painful ;)

History

#1 - 2014-05-15 01:36 AM - Jukka Rahkonen

It is hard to believe that it takes several seconds to update a WMS map if server is working OK. Could you try with an empty project in EPSG:4326 by

adding for example "Countries" layer from http://www2.demis.nl/WMS/wms.ashx?wms=WorldMap? Does it still take seconds before the map is updated on

the map?

#2 - 2014-05-15 03:12 AM - Tobias Schneider

I can also confirm the same thing for your WMS server. Using the same machines:

*QGIS 2.2: < 1 second (Very responsive and I also like the little count-up indicator in the bottom left of the screen, which is missing in the current build)

*QGIS 2.3 (todays build): Sometimes up to 5 seconds! General sluggish behaviour. Sometimes screen turns dark for a few seconds (indicator that Ubuntu

is waiting for the application to respond). Sometimes decides to not render at all until I restart the application.

#3 - 2014-05-15 04:37 AM - Giovanni Manghi

- Priority changed from High to Severe/Regression

So this may be related to multi threading (probably the biggest change in qgis 2.3). Tagging this as a regression meanwhile.

#4 - 2014-05-30 12:56 PM - Jürgen Fischer

- Category set to Web Services clients/WMS
#5 - 2014-06-11 01:10 PM - Jürgen Fischer

- Subject changed from QGIS 2.3.0-Master has bad WMS performance to WMS performance degraded

#6 - 2014-06-11 02:15 PM - Jürgen Fischer

- Status changed from Open to Feedback

Not reproducable for instance on my good ol' T43 (Pentium M 1.8GHz)

#7 - 2014-06-11 02:15 PM - Jürgen Fischer

- Priority changed from Severe/Regression to Normal

#8 - 2014-06-12 02:18 AM - Jukka Rahkonen

If the issue really has something to do with multithreading, could it be that your good ol' T43 is not the best device for testing?

#9 - 2014-06-23 02:56 AM - Tobias Schneider

I tested this again and it is still slow in the master version. This is a good server to notice the lag:

http://gisgba.geologie.ac.at/ArcGIS/services/karten_image/is_md_gk50/ImageServer/WMSServer?request=GetCapabilities&#38;service=WMS

#10 - 2014-06-23 09:04 AM - Giovanni Manghi

Tobias Sch wrote:

I tested this again and it is still slow in the master version. This is a good server to notice the lag:

http://gisgba.geologie.ac.at/ArcGIS/services/karten_image/is_md_gk50/ImageServer/WMSServer?request=GetCapabilities&#38;service=WMS

in

settings -> options -> rendering

did you activated the parallel rendering choosing how many cores you want to use?

I did it, and there isn't much difference with qgis 2.2

#11 - 2014-06-23 11:52 AM - Tobias Schneider

I tried around with those option. But I think it is more the communication with the WMS-server which is producing the lag.

#12 - 2014-06-24 01:37 AM - Giovanni Manghi

Tobias Sch wrote:

I tried around with those option. But I think it is more the communication with the WMS-server which is producing the lag.
I just made another test, two computers (both i7 4 cores) side by side, both Linux (same flavor/version), same connection, one with QGIS 2.2 and the other

master. Then I added and zoomed (by single clicks) the map in the above service, and there wasn't any kind of appreciable difference.

#13 - 2014-06-24 02:31 AM - Tobias Schneider

- File HP_6570_QGIS_master.png added

- File Lenovo_SL510_QGIS_22.png added

@Giovanni - How many seconds does it take to render the map? I have around 2 seconds on QGIS 2.2 and 4 to 5 seconds on master. I attached some

screenshots which show at least for the processor much broader times to draw the map. The peaks of network activity almost seem like QGIS master is

fetching the map multiple times from the WMS server.
#14 - 2014-06-24 02:35 AM - Giovanni Manghi

Tobias Sch wrote:

@Giovanni - How many seconds does it take to render the map? I have around 2 seconds on QGIS 2.2 and 4 to 5 seconds on master.

I don't know if it is 2, but definitely not 4/5.

Anyway as soon as another pair of hands will show around here I will make a video and show it to you.

#15 - 2014-06-24 02:40 AM - Nathan Woodrow

If you want you could use my qgis2img tool (https://github.com/DMS-Aus/qgis2img) to get some render stats.

#16 - 2014-06-25 04:17 AM - Giovanni Manghi
Tobias Sch wrote:

@Giovanni - How many seconds does it take to render the map? I have around 2 seconds on QGIS 2.2 and 4 to 5 seconds on master. I attached

some screenshots which show at least for the processor much broader times to draw the map. The peaks of network activity almost seem like QGIS

master is fetching the map multiple times from the WMS server.

this is what I get with the "time" command when opening a QGIS project with the layer (zoomed at 1:75000) published in the above WMS server.

Master:

user    0m3.220s

user      0m3.404s

user    0m3.232s

user    0m3.144s

QGIS 2.2:

user    0m3.652s

user    0m3.432s

user    0m3.652s

user    0m3.564s

#17 - 2014-06-28 04:56 AM - Tobias Schneider

I updated the Lenovo (Lenovo SL 510, Intel Core 2 Duo, GM45 graphics) to QGIS 2.4

WMS performance has stayed just as fast as with 2.2. Is the problem maybe the combination of Hyperthreading and Ubuntu? Is there a way to analyse the

network traffic of QGIS?

#18 - 2014-06-28 04:57 AM - Tobias Schneider

- Target version changed from Version 2.4 to Version 2.6

#19 - 2014-06-28 07:35 AM - Jürgen Fischer

- Target version changed from Version 2.6 to Future Release - High Priority

#20 - 2014-06-28 07:52 AM - Giovanni Manghi

WMS performance has stayed just as fast as with 2.2. Is the problem maybe the combination of Hyperthreading and Ubuntu? Is there a way to

analyse the network traffic of QGIS?

I use Ubuntu (and Windows, for QGIS testing) and as you already know I cannot observe this issue.

Did you see this on other machines (with the same OS, or not)?
#21 - 2014-10-08 09:30 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to worksforme

closing for lack of feedback, please reopen if necessary.

Files
